Bug 64995 - pkgorder does not place some packages in the correct order
pkgorder does not place some packages in the correct order
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-15 15:19 EDT by Forrest
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-25 10:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Forrest 2002-05-15 15:19:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20020227

Description of problem:
pkgorder does not place some packages in the correct order, thus some packages
which are in the comps file are placed on the third disc, although all packages
in the comps file (and their dependencies) should easily fit on the first two discs.

The three that I have found are under Software Development starting at line 1319:

  ? Authoring and Publishing {
    ? X Window System {
      w3c-libwww-devel
    }
  }
  ? Windows Compatibility / Interoperability {
    ? X Window System {
      i386: wine-devel
    }
  }
  ? Messaging and Web Tools {
    ? GNOME {
      libesmtp-devel
    }
  }

If I change the heading to something different, sometimes it works, and
sometimes it doesn't.  E.g., if I change

  ? Authoring and Publishing {
    ? X Window System {
      w3c-libwww-devel
    }
  }

to:

  ? SQL Database Server {
    ? X Window System {
      w3c-libwww-devel
    }
  }

it will work as expected, but if I change it to:

  ? Anonymous FTP Server {
    ? X Window System {
      w3c-libwww-devel
    }
  }

it will not work.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Run PYTHONPATH=/usr/lib/anaconda pkgorder redhat/i386 i386>pkgfile
2. Examine pkgfile to see w3c-libwww-devel et al. near the bottom of
   the list instead of the middle.
Comment 1 Jeremy Katz 2003-02-05 19:43:29 EST
pkgorder in CVS is a little bit smarter (and about as smart as its likely to get
without patches)
Comment 2 Brent Fox 2003-05-25 10:55:33 EDT
I'm going through Bugzilla closing some bugs that have been marked as Modified
for some period of time.  I believe that most of these issues have been fixed,
so I'm resolving these bugs as Rawhide.  If the bug you are seeing still exists,
please reopen this report and mark it as Reopened.

Note You need to log in before you can comment on or make changes to this bug.